[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplicationProperties.SetOnActionUpdate

Sets the value for the OnActionUpdate property.

## Declaration

Source position: forms.pp line 1860

`protected procedure TApplicationProperties.SetOnActionUpdate(`
`const AValue: TActionEvent`
`);`

## Arguments

`AValue` |  | New value for the OnActionUpdate property.

## See also

#lcl.forms.TApplicationProperties.OnActionUpdate |  | Event handler signalled to update actions used in the application.
#lcl.forms.TApplication.RemoveOnActionUpdateHandler |  | Removes the specified routine from the list of ahtActionUpdate handlers for the application.
#lcl.forms.TApplication.AddOnActionUpdateHandler |  | Adds the specified routine to the list of ahtActionUpdate handlers for the application.